#!/usr/bin/env bash
set -xeuo pipefail

VERSION=$(<VERSION)
IMAGE=dr.zoemp.be/slskd:${VERSION}

# build
docker build --platform linux/amd64 -t ${IMAGE} -f Dockerfile.cloudron .

# run localement en mappant ./data
docker run --rm -it \
  --platform linux/amd64 \
  -v "$(pwd)/data:/app/data" \
  -p 8080:5030 \
  ${IMAGE}

